ReferenceMCP servers
Read the server's tools, resources, resource templates and prompts again (editors and above)
POST
/v1/teams/{team}/mcp-servers/{serverId}/refresh502 discovery_failed (details is an McpTestResult) when the server can't be read. For an oauth server capabilities are read with the setup connection; 409 setup_reconsent_required (details.status missing or needs_reconsent) when it can't be used, and any editor can sign in again with authorizeTeamMcpServerSetup.
Path Parameters
team*string
Team slug or ID
serverId*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/teams/string/mcp-servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/refresh"{ "data": { "listed": 0, "added": 0, "changed": 0, "gone": 0, "capabilities": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "serverId": "10d2345a-e43d-463d-830e-4f5b19b60d41", "kind": "tool", "name": "string", "title": "string", "description": "string", "definition": {}, "fingerprint": "string", "approved": true, "changed": true, "approvedAt": "2019-08-24T14:15:22Z", "approvedByName": "string", "firstSeenAt": "2019-08-24T14:15:22Z", "lastSeenAt": "2019-08-24T14:15:22Z", "goneAt": "2019-08-24T14:15:22Z", "requirementOverride": { "mode": "inherit", "scopes": [ "string" ] }, "requires": { "providerId": "4834bcdc-4a64-444d-966b-1a6fe381da24", "providerSlug": "github", "providerName": "GitHub", "scopes": [ "string" ], "connected": true, "providerKind": "oauth2" } } ] }}